unit AceptarPresupuestoCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxControls, cxContainer, cxEdit, cxTextEdit,
  cxMaskEdit, cxDropDownEdit, cxCalendar, RdxBarras, StdCtrls, ExtCtrls,
  RdxPaneles, RdxBotones, ActnList;

type
  TfrAceptarPresupuestoCliente = class(TForm)
    RdxPanel1: TRdxPanel;
    Label2: TLabel;
    BarraSuperior: TRdxBarraSuperior;
    FechaAceptacion: TcxDateEdit;
    eCodigo: TLabel;
    brDoble: TRdxBarraInferior;
    bAceptar: TRdxBoton;
    bCancelar: TRdxBoton;
    imgSombra: TImage;
    procedure FormCreate(Sender: TObject);
    procedure bCancelarClick(Sender: TObject);
    procedure bAceptarClick(Sender: TObject);
  private
    FCodigoPresupuesto : String;
  public
    property CodigoPresupuesto : String read FCodigoPresupuesto write FCodigoPresupuesto;
  end;

var
  frAceptarPresupuestoCliente: TfrAceptarPresupuestoCliente;

implementation

{$R *.dfm}

uses
  Mensajes, Literales, TablaPresupuestos, Configuracion, Entidades;

procedure TfrAceptarPresupuestoCliente.FormCreate(Sender: TObject);
begin
  ConfigurarFrame(Self, entPresupuestoCliente);
  FechaAceptacion.Date := Date;
end;

procedure TfrAceptarPresupuestoCliente.bCancelarClick(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure TfrAceptarPresupuestoCliente.bAceptarClick(Sender: TObject);
begin
  if dmTablaPresupuestos.AceptarPresupuesto(FCodigoPresupuesto, FechaAceptacion.Date) then
  begin
    case VerMensajePregunta(msgCliCrearContrato) of
      IDNO : ModalResult := mrNo;
      else
        ModalResult := mrYes;
    end
  end
  else begin
    VerMensajeFmt('No se ha podido aceptar el presupuesto %s.', [CodigoPresupuesto]);
    ModalResult := mrNone;
  end;
end;

end.
